0
Your Cart is currently empty!
Product update
Coupon
add
Coupon code invalid! Please re-enter!
AJAX loader
You are here: Home
June.13.2013

YT Framework Plugin guide

If you're using our templates, please take a note this is IMPERATIVE plugin for any template that uses YT Framework from version 1.0.0 to later. And this guide will help you install and update the newest version for YT Framework plugin.

 

I. DOWNLOAD

Let's go to Joomla Menu -> Download --> Free Joomla Template and check out.

Please click here for going to download area.

YT Plugin for YT Framework

II. INSTALLATION

In Administrator on Joomla!, go to Extensions -> Extension Manager
On install tab, click Choose File button, choose plugin file (using zip file) then click Upload & Install. Please don't forget to enable status of YT Framework after that.

YT Plugin for YT Framework

III. UPDATE

1. Templates are using YT Framework v2

With all templates are using YT Framework from v2 to later, you can update this plugin online. When we release new versions of YT Framework, older templates that are built from YT Framework v2 will be able to take advantage of all the new features and changes. Just by one click, you will be owned the newest version of YT Framework. Let's go to Template Configuration and Update now!

2. Templates are using YT Framework v1

With all templates are using YT Framework v1 to before v2, you can update to YT Framework v2 but without new features of YT Framework v2. To do this work, let's install YT Plugin v2 to replace YT Plugin v1 the first then please go to ROOT/templates/YOUR_TEMPLATE/includes/yt_template.class.php and replace following code as after:

  • Replace
    include_once (dirname(__FILE__).DS.'browser.php');
    by
    if(!class_exists('Browser')) include_once (dirname(__FILE__).DS.'browser.php');
  • or Replace
    include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'browser.php');
    by
    if(!class_exists('Browser')) include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'browser.php');
If you're using our templates, please take a note this is IMPERATIVE plugin for any template that uses YT Framework from version 1.0.0 to later. And this guide will help you install and update the newest version for YT Framework plugin.

 

I. DOWNLOAD

Let's go to Joomla Menu -> Download --> Free Joomla Template and check out.

Please click here for going to download area.

YT Plugin for YT Framework

II. INSTALLATION

In Administrator on Joomla!, go to Extensions -> Extension Manager
On install tab, click Choose File button, choose plugin file (using zip file) then click Upload & Install. Please don't forget to enable status of YT Framework after that.

YT Plugin for YT Framework

III. UPDATE

1. Templates are using YT Framework v2

With all templates are using YT Framework from v2 to later, you can update this plugin online. When we release new versions of YT Framework, older templates that are built from YT Framework v2 will be able to take advantage of all the new features and changes. Just by one click, you will be owned the newest version of YT Framework. Let's go to Template Configuration and Update now!

2. Templates are using YT Framework v1

With all templates are using YT Framework v1 to before v2, you can update to YT Framework v2 but without new features of YT Framework v2. To do this work, let's install YT Plugin v2 to replace YT Plugin v1 the first then please go to ROOT/templates/YOUR_TEMPLATE/includes/yt_template.class.php and replace following code as after:

  • Replace
    include_once (dirname(__FILE__).DS.'browser.php');
    by
    if(!class_exists('Browser')) include_once (dirname(__FILE__).DS.'browser.php');
  • or Replace
    include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'browser.php');
    by
    if(!class_exists('Browser')) include_once (J_TEMPLATEDIR.J_SEPARATOR.'includes'.J_SEPARATOR.'browser.php');
Last modified on 05
SA Nghiem Diep

SA Nghiem Diep

I work as an online marketer at SmartAddons.com. I'm a positive person and love the creativity at work. "I'm here" - the quote that I always want to tell with all of you. This means "I'm always ready to help you" ;)

Love all our templates?

Join our membership clubs starting at $49 only for access to all of our templates

Join Now
Magento Themes Magento Extensions Free Magento Extensions Prestashop Themes Prestashop Modules Magento 2 Themes

H A L L O W E E N S A L E!

45% OFF

Everything at SmartAddons

Code: SPOOKY19